Main Page Widgets Namespaces Book

# Gdk::PixbufError Class Reference

Exception class for Gdk::Pixbuf errors. More...

Inheritance diagram for Gdk::PixbufError:

[legend]

List of all members.

## Public Types
## Public Member Functions
Code | code () const
| PixbufError (GError* gobject)
| PixbufError (Code error_code, const Glib::ustring& error_message)

## Detailed Description

Exception class for Gdk::Pixbuf errors.

## Member Enumeration Documentation

enum Gdk::PixbufError::Code

Enumerator:

  CORRUPT_IMAGE |
  INSUFFICIENT_MEMORY |
  BAD_OPTION |
  UNKNOWN_TYPE |
  UNSUPPORTED_OPERATION |
  FAILED |

## Constructor & Destructor Documentation

Gdk::PixbufError::PixbufError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gdk::PixbufError::PixbufError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gdk::PixbufError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- pixbuf.h